<template>
  <v-app>
    <v-app-bar
      app
      height="60"
      :color="offsetTop > 0 ? 'black' : 'transparent'"
      elevate-on-scroll
    >
    <v-toolbar-title class="headline text-uppercase">
        <v-img
            :height="$vuetify.breakpoint.mdAndUp ? '150' : '100'"
            :width="$vuetify.breakpoint.mdAndUp ? '200' : '150'"
            contain
            src="https://velovita.com/wp-content/uploads/2021/11/vv-logo.png"
          ></v-img>
    </v-toolbar-title>
    <v-spacer></v-spacer>
      <v-btn
            text
            class="hidden-sm-and-down"
            color="white"
            @click="scrollTo('agenda')"
            v-if="
              $vuetify.breakpoint.lgAndUp
            "
          >
            Agenda
        </v-btn>
        <v-btn
            text
            class="hidden-sm-and-down"
            color="white"
            @click="scrollTo('signup')"
            v-if="
                $vuetify.breakpoint.lgAndUp
            "
            >
            Sign up
        </v-btn>
        <v-btn
            text
            class="hidden-sm-and-down"
            color="white"
            @click="scrollTo('map')"
            v-if="
                $vuetify.breakpoint.lgAndUp
            "
            >
            Locate the event
        </v-btn>
    </v-app-bar>
    <v-carousel>
            <v-carousel-item
            v-for="(item,i) in items"
            :key="i"
            :src="item.src"
            cycle
            height="1200"
            reverse-transition="fade-transition"
            transition="fade-transition"
            >
            <v-layout column align-center justify-center fill-height class="white--text mt-5">
            <h1
                :class="[$vuetify.breakpoint.mdAndUp ? 'display-1 mb-10' : 'display-1 text-center mb-6']"
            >
                <strong>XLR8 2022</strong>
            </h1>
            <h2
                :class="[$vuetify.breakpoint.mdAndUp ? 'display-1' : 'display-1']"
            >Our annual XLR8 event is sure to be incredible this year!! </h2>
            <h2
                :class="[$vuetify.breakpoint.mdAndUp ? 'display-1' : 'display-1']"
            >In true Velovita style, this jampacked event experience</h2>
            <h2
                :class="[$vuetify.breakpoint.mdAndUp ? 'display-1' : 'display-1']"
            >will be one for the books!</h2>

            <v-btn
                class="mt-12 animated"
                color="white lighten-2 "
                dark
                outlined
                large
                rounded
                style="text-decoration:none"
                @click="scrollTo('signup')"
            >Sign up now!</v-btn>
            </v-layout>
        </v-carousel-item>
    </v-carousel>

    <v-container fluid class="primaryBack">
        <v-layout column align-center justify-center fill-height class="white--text" id="pics">
            <h2
            >Pictures from the last event</h2>
        </v-layout>
    </v-container>
    <v-container fluid class="">
        <v-container fluid id="pics">
            <v-row>
                <v-col cols="4">
                <v-card>
                <v-img
                src="https://velovita.com/wp-content/uploads/2022/10/DAY1_013.png"
                class="white--text align-end"
                gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                height="200px"
                >
                <v-card-title v-text="'Texto de prueba'"></v-card-title>
                </v-img>

                <v-card-actions>
                <v-spacer></v-spacer>

                <v-btn icon>
                    <v-icon>mdi-heart</v-icon>
                </v-btn>

                <v-btn icon>
                    <v-icon>mdi-bookmark</v-icon>
                </v-btn>

                <v-btn icon>
                    <v-icon>mdi-share-variant</v-icon>
                </v-btn>
                </v-card-actions>
                </v-card>
                </v-col>
                <v-col cols="4">
                <v-card>
                    <v-img
                    src="https://velovita.com/wp-content/uploads/2022/10/DAY1_013.png"
                    class="white--text align-end"
                    gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                    height="200px"
                    >
                    <v-card-title v-text="'Texto de prueba'"></v-card-title>
                    </v-img>

                    <v-card-actions>
                    <v-spacer></v-spacer>

                    <v-btn icon>
                        <v-icon color="red">mdi-heart</v-icon>
                    </v-btn>

                    <v-btn icon>
                        <v-icon>mdi-bookmark</v-icon>
                    </v-btn>

                    <v-btn icon>
                        <v-icon>mdi-share-variant</v-icon>
                    </v-btn>
                    </v-card-actions>
                </v-card>
                </v-col>
                <v-col cols="4">
                <v-card>
                    <v-img
                    src="https://velovita.com/wp-content/uploads/2022/10/DAY1_013.png"
                    class="white--text align-end"
                    gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                    height="200px"
                    >
                    <v-card-title v-text="'Texto de prueba'"></v-card-title>
                    </v-img>

                    <v-card-actions>
                    <v-spacer></v-spacer>

                    <v-btn icon>
                        <v-icon>mdi-heart</v-icon>
                    </v-btn>

                    <v-btn icon>
                        <v-icon>mdi-bookmark</v-icon>
                    </v-btn>

                    <v-btn icon>
                        <v-icon>mdi-share-variant</v-icon>
                    </v-btn>
                    </v-card-actions>
                </v-card>
                </v-col>
                <v-col cols="4">
                <v-card>
                    <v-img
                    src="https://velovita.com/wp-content/uploads/2022/10/DAY1_013.png"
                    class="white--text align-end"
                    gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                    height="200px"
                    >
                    <v-card-title v-text="'Texto de prueba'"></v-card-title>
                    </v-img>

                    <v-card-actions>
                    <v-spacer></v-spacer>

                    <v-btn icon>
                        <v-icon>mdi-heart</v-icon>
                    </v-btn>

                    <v-btn icon>
                        <v-icon>mdi-bookmark</v-icon>
                    </v-btn>

                    <v-btn icon>
                        <v-icon>mdi-share-variant</v-icon>
                    </v-btn>
                    </v-card-actions>
                </v-card>
                </v-col>
                <v-col cols="4">
                <v-card>
                    <v-img
                    src="https://velovita.com/wp-content/uploads/2022/10/DAY1_013.png"
                    class="white--text align-end"
                    gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                    height="200px"
                    >
                    <v-card-title v-text="'Texto de prueba'"></v-card-title>
                    </v-img>

                    <v-card-actions>
                    <v-spacer></v-spacer>

                    <v-btn icon>
                        <v-icon>mdi-heart</v-icon>
                    </v-btn>

                    <v-btn icon>
                        <v-icon>mdi-bookmark</v-icon>
                    </v-btn>

                    <v-btn icon>
                        <v-icon>mdi-share-variant</v-icon>
                    </v-btn>
                    </v-card-actions>
                </v-card>
                </v-col>
                <v-col cols="4">
                <v-card>
                    <v-img
                    src="https://velovita.com/wp-content/uploads/2022/10/DAY1_013.png"
                    class="white--text align-end"
                    gradient="to bottom, rgba(0,0,0,.1), rgba(0,0,0,.5)"
                    height="200px"
                    >
                    <v-card-title v-text="'Texto de prueba'"></v-card-title>
                    </v-img>

                    <v-card-actions>
                    <v-spacer></v-spacer>

                    <v-btn icon>
                        <v-icon color="red">mdi-heart</v-icon>
                    </v-btn>

                    <v-btn icon>
                        <v-icon >mdi-bookmark</v-icon>
                    </v-btn>

                    <v-btn icon>
                        <v-icon>mdi-share-variant</v-icon>
                    </v-btn>
                    </v-card-actions>
                </v-card>
                </v-col>
            </v-row>
        </v-container>
    </v-container>

    
    <v-container fluid class="primaryBack">
        <v-layout column align-center justify-center fill-height class="white--text" id="agenda">
            <h2
            >Agenda</h2>
        </v-layout>
    </v-container>
    <v-container fluid>
        <v-layout column align-center justify-center fill-height class="white--text">

            <v-timeline
                class="mt-3"
                align-top
                :dense="$vuetify.breakpoint.smAndDown"
            >
                <v-timeline-item
                color="primary"
                icon="mdi-numeric-1-circle"
                fill-dot
                >
                <v-card
                    color="primary"
                    dark
                >
                    <v-card-title class="text-h6 wordBreak">
                    THURSDAY, SEPTEMBER 22ND
                    </v-card-title>
                    <v-card-text class="white text--primary">
                    <p class="pt-3">2:00 PM - 9:00 PM   Registration and Store</p>
                    </v-card-text>
                </v-card>
                </v-timeline-item>

                <v-timeline-item
                
                color="primary"
                icon="mdi-numeric-2-circle"
                fill-dot
                >
                <v-card
                    color="primary"
                    dark
                >
                    <v-card-title class="text-h6 wordBreak">
                    FRIDAY, SEPTEMBER 23RD
                    </v-card-title>
                    <v-card-text class="white text--primary">
                    <p class="pt-3">7:00 AM - 9:30 AM Registration and Store</p>
                    <p class="pt-3">9:45 AM - 12:30 PM General Session I *</p>
                    <p class="pt-3">12:30 PM - 1:30 PM Lunch Break</p>
                    </v-card-text>
                </v-card>
                </v-timeline-item>

                <v-timeline-item
                color="primary"
                icon="mdi-numeric-3-circle"
                fill-dot
                >
                <v-card
                    color="primary"
                    dark
                >
                    <v-card-title class="text-h6 wordBreak">
                    SATURDAY, SEPTEMBER 24TH
                    </v-card-title>
                    <v-card-text class="white text--primary">
                    <p class="pt-3">7:30 AM - 9:00 AM Registration and Store</p>
                    <p class="pt-3">9:00 AM - 12:00 PM Grand Session IV</p>
                    <p class="pt-3">1:00 PM - 5:00 PM Lunch Break</p>
                    </v-card-text>
                </v-card>
                </v-timeline-item>

                <v-timeline-item
                color="primary"
                icon="mdi-numeric-4-circle"
                fill-dot
                >
                <v-card
                    color="primary"
                    dark
                >
                    <v-card-title class="text-h6 wordBreak">
                    SUNDAY, SEPTEMBER 25TH
                    </v-card-title>
                    <v-card-text class="white text--primary">
                    <p class="pt-3">10:00 AM - 1:00 PM Store Opens</p>
                    </v-card-text>
                </v-card>
                </v-timeline-item>
            </v-timeline>

        </v-layout>
    </v-container>
    <v-container fluid class="primaryBack">
        <v-layout column align-center justify-center fill-height class="white--text" id="signup">
            <h2
            >Sign up now!</h2>
        </v-layout>
    </v-container>
    <v-layout justify-center align-center class="mt-5 mb-2"> 
        <v-flex xs12 sm10 md10>
        <v-form>
            <v-text-field solo v-model="name" label="Full name" required></v-text-field>
            <v-text-field solo v-model="phone" label="Phone" required></v-text-field>
            <v-text-field type="email" solo v-model="email" label="Email" required></v-text-field>
            <h5>Choose a type of ticket:</h5>
            <v-select
                required
                :items="['Single', 'Companion','Single Extended', 'Companion Extended']"
                label="Select one option"
                @v-model="ticket"
            ></v-select>
            <h5>Vegan meal?</h5>
            <v-radio-group v-model="vegan" required>
                <v-radio
                    label="Yes"
                    value="Yes"
                ></v-radio>
                <v-radio
                    label="No"
                    value="No"
                ></v-radio>
            </v-radio-group>
            <v-layout column align-center justify-center>
                <v-btn
                x-large
                rounded
                color="primary"
                class="primary white--text"
                >Submit</v-btn>
            </v-layout>
        </v-form>
        </v-flex>
    </v-layout>
    <v-container fluid class="primaryBack">
        <v-layout column align-center justify-center fill-height class="white--text" id="map">
            <h2
            >Locate the event</h2>
        </v-layout>
    </v-container>

    <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3353.5613861885527!2d-96.8341210848173!3d32.803887380963886!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x864e9eab2ad79ced%3A0xa5497a4ce6112faa!2sRenaissance%20Dallas%20Hotel!5e0!3m2!1ses!2smx!4v1666825520645!5m2!1ses!2smx" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>

<section style="background-color:#2B2B2B;">
    <v-container fluid grid-list-xl>
      <v-layout justify-center align-center row wrap>
        <v-flex xs12 sm12 md4>
          <v-layout class="mb-10" :class="[$vuetify.breakpoint.mdAndUp ? '' : ' mt-5']" justify-center align-center>
            <v-img src="https://myvelovitalaunch.devpros.co/wp-content/uploads/2020/10/white.png"></v-img>
          </v-layout>
          <v-layout align-center justify-center>
          <a href="https://www.facebook.com//" target="blanck">  <v-icon class="ml-3" large color="white">mdi-facebook</v-icon></a>
           <a href="https://twitter.com/" target="blanck"><v-icon class="ml-3" large color="white">mdi-twitter</v-icon></a>
             <a href="https://www.instagram.com//" target="blanck"> <v-icon class="ml-3" large color="white">mdi-instagram</v-icon></a>
          </v-layout>
        </v-flex>
        <v-flex xs12 sm12 md3 my10>
        </v-flex>


        <v-flex xs12 sm12 md3>
          <h4 class="white--text my-5">Support</h4>
          <router-link to="/job-board">
            <h4 class="white--text font-weight-light my-5">support@velovita.com</h4>
          </router-link>
          <a>
            <h4 class="white--text font-weight-light my-5">Customer service hours are:</h4>
          </a>

          <a>
            <h6 class="white--text font-weight-light my-5">Mon - Fri: 8:00 am - 8:00 pm ET</h6>
          </a>
          <a>
            <h6 class="white--text font-weight-light my-5">Sat - Sun: 12:00 pm - 8:00 pm ET</h6>
          </a>
<!--           <a href="#">
            <h4 class="white--text font-weight-light my-5">TRANSPARENCIA</h4>
          </a> -->
        </v-flex>
      </v-layout>
      <v-container>
        <v-layout justify-center align-center row wrap>
            <h6 class="grayText">Velovita is monitoring the global COVID-19 pandemic. At this time there are no FDA approved therapies or vaccines to treat COVID-19. It is of the utmost importance that Velovita Distributors do not misrepresent our products as they are not intended to prevent, treat, or cure any medical illnesses. Any misrepresented claims of this capacity are in violation of our company policy and are strictly prohibited. Velovita encourages the practice of COVID-19 preventative measures to ensure the health and safety of the Velovita Family.</h6>
        </v-layout>
      </v-container>
    </v-container>
    <v-footer color="#2B2B2B" padless>
      <v-row justify="center" no-gutters>
        <v-col class="py-4 text-center white--text" cols="12">
          <strong>
            <p>&copy; © 2022 Velovita, Inc ®. All rights reserved.</p>
            <a href="Aviso-privacidad.pdf" target="blank" style="color:white;"><p>Privacy</p></a>

           <a href="pdf/TyC.pdf" target="blank" style="color:white;">  <p>Terms</p></a>
          </strong>
        </v-col>
      </v-row>
    </v-footer>
  </section>

  </v-app>
</template>

<script>
    export default {
        data: () => ({ 
            name: "",
            phone: "",
            email: "",
            comment: "",
            ticket: "",
            vegan: "",
            text: "",
            snackbar: false,
            isLoading: false,
            offsetTop: 0,
            model: 0,
            items: [
            {
                src: 'https://velovita.com/wp-content/uploads/2022/10/DAY2_318.png',
            },
            {
                src: 'https://velovita.com/wp-content/uploads/2022/10/DAY3_119.png',
            },
            {
                src: 'https://velovita.com/wp-content/uploads/2022/10/DAY3G_277.png',
            },
            {
                src: 'https://velovita.com/wp-content/uploads/2022/10/DAY3G_323.png',
            },
            ],
        }),
        mounted() {
            console.log('Component mounted.');
            console.log(this.$vuetify.breakpoint.name);
            console.log(this.offsetTop);
        },
        methods:{
            onScroll(e) {
                this.offsetTop = window.scrollY;
            },
            scrollTo(value){
                document.getElementById(value).scrollIntoView({
                    behavior: 'smooth'
                });
            }
        },
        computed: {
            height () {
                switch (this.$vuetify.breakpoint.name) {
                case 'xs': return 220
                case 'sm': return 400
                case 'md': return 500
                case 'lg': return 600
                case 'xl': return 800
                }
            },
        },
        watch:{
            offsetTop(val){
                console.log(val);
            }
        },

        created() {
            window.addEventListener("scroll", this.onScroll);
        },
        destroyed() {
            window.removeEventListener("scroll", this.onScroll);
        },
    }
</script>
<style scoped>
.primaryBack{
    background-color: #DF703D !important;
}
.grayText{
    color: gray;
}
.wordBreak{
    word-break: keep-all;
}
</style>
